# BEGIN SourceDeps(oneline):
BuildRequires: imake libXt-devel xorg-cf-files
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:  Interactive plotting and graphing X11 in command line
Name: xgraph
Version: 12.1
Release: alt1_15
License: GPL
Group: Sciences/Mathematics
Source: https://www.isi.edu/nsnam/dist/xgraph-%version.tar.bz2
Patch0: xgraph-12.1-glibc-2.10.patch
Patch1: xgraph-makefile-gentoo.patch
Patch2: xgraph-12.1-fix-str-fmt.patch
URL: https://www.isi.edu/nsnam/xgraph
BuildRequires: pkgconfig(x11)
Source44: import.info

%description
The xgraph program draws a graph on an X display given data read from
either data files or from standard input if no files are specified.  It can
display up to 64 independent data sets using different colors and/or line
styles for each set.  It annotates the graph with a title,  axis labels,
grid lines or tick marks, grid labels, and a legend.  There are options to
control the appearance of most components of the graph.

%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build
%configure
%make_build

%install
rm -rf %_tmppath/%name-%version-root
%makeinstall_std
mv %buildroot%{_mandir}/manm %buildroot%{_mandir}/man1
mv %buildroot%{_mandir}/man1/xgraph.man %buildroot%{_mandir}/man1/xgraph.1

%files
%doc README* INSTALL examples
%{_bindir}/xgraph
%{_mandir}/man1/xgraph.*



%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 12.1-alt1_15
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 12.1-alt1_14
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 12.1-alt1_13
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 12.1-alt1_12
- new version

